### Function

# Gtk render_layout

#### Declaration [src]

    void
    gtk_render_layout (
      GtkStyleContext* context,
      cairo_t* cr,
      double x,
      double y,
      PangoLayout* layout
    )

#### Description [src]

Renders `layout` on the coordinates `x`, `y`.

#### Parameters

`context` | `GtkStyleContext`
| A `GtkStyleContext`.
| The data is owned by the caller of the function.
`cr` | `cairo_t*`
| A `cairo_t`.
| The data is owned by the caller of the function.
`x` | `double`
| X origin.
`y` | `double`
| Y origin.
`layout` | `PangoLayout*`
| The `PangoLayout` to render.
| The data is owned by the caller of the function.